Index: src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp
===================================================================
--- src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp	(revision 6d0f058e7c5c56b22245c79b218fae3eadf5b161)
+++ src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp	(revision e09d671ae5398d72cd8e8524d71f9f9b44e6b4d6)
@@ -43,10 +43,10 @@
 
   boost::filesystem::ifstream test;
-  TremoloParser &tremolo = FormatParserStorage::getInstance().getParser<TremoloParser>();
+  FormatParser<tremolo> &parser = FormatParserStorage::getInstance().getParser<tremolo>();
   // parsing file if present
   if (!boost::filesystem::exists(params.filename)) {
     DoLog(1) && (Log() << Verbose(1) << "Specified potentials file " << params.filename << " not found." << endl);
     // DONT FAIL: it's just empty we re-create default id-mapping
-    tremolo.createKnownTypesByIdentity();
+    parser.createKnownTypesByIdentity();
 
   } else {
@@ -55,6 +55,5 @@
     // parse the file
     test.open(params.filename);
-    TremoloParser &tremolo = FormatParserStorage::getInstance().getParser<TremoloParser>();
-    tremolo.parseKnownTypes(test);
+    parser.parseKnownTypes(test);
     test.close();
   }
Index: src/Actions/ParserAction/SetMpqcParametersAction.cpp
===================================================================
--- src/Actions/ParserAction/SetMpqcParametersAction.cpp	(revision 6d0f058e7c5c56b22245c79b218fae3eadf5b161)
+++ src/Actions/ParserAction/SetMpqcParametersAction.cpp	(revision e09d671ae5398d72cd8e8524d71f9f9b44e6b4d6)
@@ -38,12 +38,12 @@
 /** =========== define the function ====================== */
 Action::state_ptr ParserSetMpqcParametersAction::performCall() {
-  MpqcParser_Parameters &mpqc = FormatParserStorage::getInstance().getParser<MpqcParser>().getParams();
+  MpqcParser_Parameters &parser = FormatParserStorage::getInstance().getParser<mpqc>().getParams();
 
   std::stringstream oldparamstream;
-  oldparamstream << mpqc;
+  oldparamstream << parser;
   // obtain information
   getParametersfromValueStorage();
   std::stringstream newparamstream(params.newparams);
-  newparamstream >> mpqc;
+  newparamstream >> parser;
 
   return Action::state_ptr(new ParserSetMpqcParametersState(oldparamstream.str(), params));
@@ -53,7 +53,7 @@
   ParserSetMpqcParametersState *state = assert_cast<ParserSetMpqcParametersState*>(_state.get());
 
-  MpqcParser_Parameters &mpqc = FormatParserStorage::getInstance().getParser<MpqcParser>().getParams();
+  MpqcParser_Parameters &parser = FormatParserStorage::getInstance().getParser<mpqc>().getParams();
   std::stringstream oldparamstream(state->oldparams);
-  oldparamstream >> mpqc;
+  oldparamstream >> parser;
 
   return Action::state_ptr(_state);
@@ -63,7 +63,7 @@
   ParserSetMpqcParametersState *state = assert_cast<ParserSetMpqcParametersState*>(_state.get());
 
-  MpqcParser_Parameters &mpqc = FormatParserStorage::getInstance().getParser<MpqcParser>().getParams();
+  MpqcParser_Parameters &parser = FormatParserStorage::getInstance().getParser<mpqc>().getParams();
   std::stringstream newparamstream(state->params.newparams);
-  newparamstream >> mpqc;
+  newparamstream >> parser;
 
   return Action::state_ptr(_state);
Index: src/Actions/ParserAction/SetTremoloAtomdataAction.cpp
===================================================================
--- src/Actions/ParserAction/SetTremoloAtomdataAction.cpp	(revision 6d0f058e7c5c56b22245c79b218fae3eadf5b161)
+++ src/Actions/ParserAction/SetTremoloAtomdataAction.cpp	(revision e09d671ae5398d72cd8e8524d71f9f9b44e6b4d6)
@@ -42,9 +42,9 @@
   getParametersfromValueStorage();
 
-  TremoloParser &tremolo = FormatParserStorage::getInstance().getParser<TremoloParser>();
+  FormatParser<tremolo> &parser = FormatParserStorage::getInstance().getParser<tremolo>();
 
   DoLog(1) && (Log() << Verbose(1) << "Setting Tremolo's ATOMDATA to: '" << params.atomdata_string << "'" << std::endl);
 
-  tremolo.setAtomData(params.atomdata_string);
+  parser.setAtomData(params.atomdata_string);
 
   return Action::success;
